Class EndpointsRequestBuilder

java.lang.Object
com.microsoft.kiota.BaseRequestBuilder
com.microsoft.graph.serviceprincipals.item.endpoints.EndpointsRequestBuilder

@Generated("com.microsoft.kiota") public class EndpointsRequestBuilder extends com.microsoft.kiota.BaseRequestBuilder
Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.
  • Constructor Details

    • EndpointsRequestBuilder

      public EndpointsRequestBuilder(@Nonnull HashMap<String,Object> pathParameters, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter)
      Instantiates a new EndpointsRequestBuilder and sets the default values.
      Parameters:
      pathParameters - Path parameters for the request
      requestAdapter - The request adapter to use to execute the requests.
    • EndpointsRequestBuilder

      public EndpointsRequestBuilder(@Nonnull String rawUrl, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter)
      Instantiates a new EndpointsRequestBuilder and sets the default values.
      Parameters:
      rawUrl - The raw URL to use for the request builder.
      requestAdapter - The request adapter to use to execute the requests.
  • Method Details

    • count

      @Nonnull public CountRequestBuilder count()
      Provides operations to count the resources in the collection.
      Returns:
      a CountRequestBuilder
    • byEndpointId

      @Nonnull public EndpointItemRequestBuilder byEndpointId(@Nonnull String endpointId)
      Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.
      Parameters:
      endpointId - The unique identifier of endpoint
      Returns:
      a EndpointItemRequestBuilder
    • get

      @Nullable public EndpointCollectionResponse get()
      Get endpoints from servicePrincipals
      Returns:
      a EndpointCollectionResponse
      Throws:
      ODataError - When receiving a 4XX or 5XX status code
    • get

      @Nullable public EndpointCollectionResponse get(@Nullable Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration)
      Get endpoints from servicePrincipals
      Parameters:
      requestConfiguration - Configuration for the request such as headers, query parameters, and middleware options.
      Returns:
      a EndpointCollectionResponse
      Throws:
      ODataError - When receiving a 4XX or 5XX status code
    • post

      @Nullable public Endpoint post(@Nonnull Endpoint body)
      Create new navigation property to endpoints for servicePrincipals
      Parameters:
      body - The request body
      Returns:
      a Endpoint
      Throws:
      ODataError - When receiving a 4XX or 5XX status code
    • post

      @Nullable public Endpoint post(@Nonnull Endpoint body, @Nullable Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration)
      Create new navigation property to endpoints for servicePrincipals
      Parameters:
      body - The request body
      requestConfiguration - Configuration for the request such as headers, query parameters, and middleware options.
      Returns:
      a Endpoint
      Throws:
      ODataError - When receiving a 4XX or 5XX status code
    • toGetRequestInformation

      @Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation()
      Get endpoints from servicePrincipals
      Returns:
      a RequestInformation
    • toGetRequestInformation

      @Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation(@Nullable Consumer<EndpointsRequestBuilder.GetRequestConfiguration> requestConfiguration)
      Get endpoints from servicePrincipals
      Parameters:
      requestConfiguration - Configuration for the request such as headers, query parameters, and middleware options.
      Returns:
      a RequestInformation
    • toPostRequestInformation

      @Nonnull public com.microsoft.kiota.RequestInformation toPostRequestInformation(@Nonnull Endpoint body)
      Create new navigation property to endpoints for servicePrincipals
      Parameters:
      body - The request body
      Returns:
      a RequestInformation
    • toPostRequestInformation

      @Nonnull public com.microsoft.kiota.RequestInformation toPostRequestInformation(@Nonnull Endpoint body, @Nullable Consumer<EndpointsRequestBuilder.PostRequestConfiguration> requestConfiguration)
      Create new navigation property to endpoints for servicePrincipals
      Parameters:
      body - The request body
      requestConfiguration - Configuration for the request such as headers, query parameters, and middleware options.
      Returns:
      a RequestInformation
    • withUrl

      @Nonnull public EndpointsRequestBuilder withUrl(@Nonnull String rawUrl)
      Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
      Parameters:
      rawUrl - The raw URL to use for the request builder.
      Returns:
      a EndpointsRequestBuilder